package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.CityInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.CityInfoMapper")
public interface CityInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(CityInfo record);

    CityInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CityInfo record);

    List<CityInfo> queryAllCityInfo(CityInfo record);

    List<CityInfo> queryCityInfoByPage(Map<String, Object> parameter);

    int delete(CityInfo record);

    CityInfo queryCityInfo(CityInfo record);

    List<CityInfo> query(CityInfo record);
}

